Create custom record type
curl --request POST \
--url https://api.onvy.health/custom_records_types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"project_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"data_jsonschema": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.onvy.health/custom_records_types"
payload = {
"id": "<string>",
"project_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"data_jsonschema": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
project_id: '<string>',
display_name: '<string>',
description: '<string>',
data_jsonschema: {},
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.onvy.health/custom_records_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"project_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"data_jsonschema": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}custom-records
Create custom record type
Create a new custom record type for the project
POST
/
custom_records_types
Create custom record type
Authorizations
OAuth bearer token for Health API authentication
Body
application/json
Custom record type data
Developer-defined custom record type identifier (e.g., blood_test_v1)
Project ID
Human-readable name of the custom record type
Optional description of the custom record type
JSON Schema describing the structure of the data field for records of this type
Response
Custom record type created successfully
Developer-defined custom record type identifier (e.g., blood_test_v1)
Project ID
Human-readable name of the custom record type
Optional description of the custom record type
JSON Schema describing the structure of the data field for records of this type
Was this page helpful?